#include <iostream>
#include <vector>
#include <unordered_set>

using namespace std;

int main()
{

    // elementi na poziciji i, j i k, suma jednaka 0
    // 0 <= i < j < k < n
    // a[i] + a[j] + a[k] = 0
    // fiksirano a[i]:
    // a[j] + a[k] = -a[i]

    int n;
    cin >> n;
    vector<int> a(n);
    for(int i=0; i<n; i++)
        cin >> a[i];

    int br = 0;

    for(int i=0; i < n-2; i++){
        // da li se iza pozicije i nalaze dva elementa ciji je zbir jednak -a[i]
        // sortirano - O(log n) - n broj elemenata skupa
        unordered_set<int> vidjeni;
        for (int k = i+1; k < n; k++){
            // da li smo izmedju pozicije i i pozicije k nasli na poziciju j
            // a[i] + a[j] + a[k] = 0
            // a[j] = -a[i] - a[k]
            if (vidjeni.find(-a[i] - a[k]) != vidjeni.end())
                br++;

            vidjeni.insert(a[k]);
        }
    }

    cout << br << endl;


    return 0;
}
