#include <iostream>
#include <vector>
#include <unordered_set>

using namespace std;

int main() {
  ios_base::sync_with_stdio(false);
  // ucitavamo elemente niza
  int n ;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++)
    cin >> a[i];

  // ukupan broj trojki ciji je zbir 0
  int brojTrojki = 0;

  unordered_set<int> prethodni;

  // analiziramo svaki moguci srednji element trojke
  for (int j = 0; j < n - 1; j++) {

    // obilazimo sve elemente iz [i+1, n)
    for (int k = j + 1; k < n; k++) {
      // proveravamo da li je pre elementa a[j] u delu [0,j)
      // pronadjen element -a[j] - a[k]
      // ako jeste, onda on sa a[i] i a[j] daje zbir 0
      if (prethodni.find(-a[j] - a[k]) != prethodni.end()){
            //cout << a[j] << " " << a[k] << " " << -a[j]-a[k] << endl;
          brojTrojki++;
      }
    }

    // novi element ubacujemo u skup prethodnih
    prethodni.insert(a[j]);

  }

  cout << brojTrojki << endl;
  return 0;
}
