#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> a(n);

    int br=0;

    for(int i=0; i<n; i++)
        cin >> a[i];
    // -8 -5 7 4 1 -2 9 -3 2

    sort(a.begin(), a.end());
    // -8 -5 -3 -2 1 2 4 7 9

    // 0 <= i < j < k < n
    // max k = n-1, max j = n-2, max i = n-3

    for(int i=0; i < n-2; i++){
        // u delu niza [i+1, n) proveravamo da li postoje dva elementa
        // ciji je zbir -a[i]

        // i+1 sa leve strane i n-1 sa desne strane
        int l = i+1, d = n-1;

        while (l < d){
            if (a[i] + a[l] + a[d] == 0){
                br++;
                l++;
                d--;
            } else if (a[i] + a[l] + a[d] < 0)
                // a[i] fiksirano
                // a[l] eventualno moze da se povecava - odgovara
                // a[d] eventualno moze da se smanjuje - ne odgovara
                l++;
            else
                // a[i] + a[l] + a[d] > 0
                d--;
        }
    }

    cout << br << endl;

    return 0;
}
